## galapi
Class AtomicList

    java.lang.Object
      galapi.ItemList
          galapi.AtomicList

public class AtomicList
extends ItemList

An `AtomicList` incapsulates a list of `Atomic` values.

Field Summary

Fields inherited from class galapi.ItemList
`ilist`

Constructor Summary
`` `AtomicList()`
`protected` `AtomicList(int il)`

Methods inherited from class galapi.ItemList
`cons, finalize, getNativeItemList, isEmpty, ItemsFirst, ItemsNext, nativeCons, nativeEmptyList, nativeFreeItemList, nativeIsEmpty, nativeItemsFirst, nativeItemsNext, nativeSerialize, setItemList, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtomicList

    public AtomicList()
               throws GalapiException

### AtomicList

    protected AtomicList(int il)
                  throws GalapiException